def var bool as logical no-undo.


/* tt1 */
def temp-table tt1
field f1 as character
field f2 as character
field f3 as int
field f4 as int.

create tt1.
assign f1 = "11"
f2 = "11"
f3 = 11
f4 = 11.

/* tt2 */
def temp-table tt2
field f1 as character
field f2 as character
field f3 as int
field f4 as int.

create tt2.
assign tt2.f1 = "22"
tt2.f2 = "22"
tt2.f3 = 11
tt2.f4 = 11.

/* tt3 */
def temp-table tt3
field f1 as character
field f2 as character
field f3 as int
field f4 as int.


/* tt3 */
def temp-table tt4
field f1 as character
field f2 as character
field f3 as int
field f4 as int.

def var result as character.

message "BUFFER-COMPARE TEST 1: " result.
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 TO tt2 SAVE RESULT IN result.
message "BUFFER-COMPARE TEST 1 RESULT: " result.
END.

message "BUFFER-COMPARE TEST 2: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 EXCEPT f2 TO tt2 SAVE RESULT IN result.
message "BUFFER-COMPARE TEST 2 RESULT: " result.
END.

message "BUFFER-COMPARE TEST 3: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 EXCEPT f1 f2 TO tt2 SAVE RESULT IN result.
message "BUFFER-COMPARE TEST 3 RESULT: " result.
END.

message "BUFFER-COMPARE TEST 4: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 EXCEPT f1 f2 f1 TO tt2 SAVE RESULT IN result.
message "BUFFER-COMPARE TEST 4 RESULT: " result.
END.

message "BUFFER-COMPARE TEST 5: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 USING f3 TO tt2 SAVE RESULT IN result.
message "BUFFER-COMPARE TEST 5 RESULT: " result.
END.

message "BUFFER-COMPARE TEST 6: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 USING f3 f3 TO tt2 SAVE RESULT IN result.
message "BUFFER-COMPARE TEST 6 RESULT: " result.
END.

message "BUFFER-COMPARE TEST 7: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 USING f2 TO tt2 SAVE RESULT IN result.
message "BUFFER-COMPARE TEST 7 RESULT: " result.
END.

message "BUFFER-COMPARE TEST 8: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 USING f2 f3 TO tt2 SAVE RESULT IN result.
message "BUFFER-COMPARE TEST 8 RESULT: " result.
END.

message "BUFFER-COMPARE TEST 9: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt1 TO tt3 SAVE RESULT IN result.
message "BUFFER-COMPARE TEST 9 RESULT: " result.
END.

message "BUFFER-COMPARE TEST 10: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt3 TO tt1 SAVE RESULT IN result.
message "BUFFER-COMPARE TEST 10 RESULT: " result.
END.

message "BUFFER-COMPARE TEST 11: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COMPARE tt3 TO tt4 SAVE RESULT IN result.
message "BUFFER-COMPARE TEST 11 RESULT: " result.
END.

create tt3.
assign tt3.f1 = "22"
tt3.f2 = "22"
tt3.f3 = 11
tt3.f4 = 11.


message "copy".

message "BUFFER-COPY TEST 101: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COPY tt4 TO tt2.
message "BUFFER-COPY TEST 101 PASSED".
END.

message "BUFFER-COPY TEST 102: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COPY tt4 TO tt2.
message "BUFFER-COPY TEST 102 PASSED".
END.

message "BUFFER-COPY TEST 103: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COPY tt4 TO tt3.
message "BUFFER-COPY TEST 103 PASSED".
END.

message "BUFFER-COPY TEST 104: ".
DO TRANSACTION ON ERROR UNDO, LEAVE:
BUFFER-COPY tt4 USING f2 f3 TO tt2.
message "BUFFER-COPY TEST 104 PASSED".
END.

create tt4.
assign tt4.f1 = "22"
tt4.f2 = "22"
tt4.f3 = 11
tt4.f4 = 11.

